"use strict";
// Copyright 2021 Google Inc. Use of this source code is governed by an
// MIT-style license that can be found in the LICENSE file or at
// https://opensource.org/licenses/MIT.
Object.defineProperty(exports, "__esModule", { value: true });
exports.sassNull = void 0;
const immutable_1 = require("immutable");
const index_1 = require("./index");
const hashCode = (0, immutable_1.hash)(null);
// SassScript null. Cannot be constructed; exists only as the exported
// singleton.
class SassNull extends index_1.Value {
    constructor() {
        super();
        Object.freeze(this);
    }
    get isTruthy() {
        return false;
    }
    get realNull() {
        return null;
    }
    equals(other) {
        return this === other;
    }
    hashCode() {
        return hashCode;
    }
    toString() {
        return 'sassNull';
    }
}
/** The singleton instance of SassScript null. */
exports.sassNull = new SassNull();
//# sourceMappingURL=null.js.map